# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.microprofile.lra.tck.LraTckConfigBean
Modifier and Type
Constant Field
Value
`public static final String`
`LRA_TCK_BASE_URL_PROPERTY_NAME`
`"lra.tck.base.url"`
`public static final String`
`LRA_TCK_TIMEOUT_FACTOR_PROPETY_NAME`
`"lra.tck.timeout.factor"`

org.eclipse.microprofile.lra.tck.participant.api.AfterLRAListener
Modifier and Type
Constant Field
Value
`public static final String`
`AFTER_LRA_LISTENER_PATH`
`"after-lra-listener"`
`public static final String`
`AFTER_LRA_LISTENER_WORK`
`"work"`
org.eclipse.microprofile.lra.tck.participant.api.AfterLRAParticipant
Modifier and Type
Constant Field
Value
`public static final String`
`AFTER_LRA_PARTICIPANT_PATH`
`"after-lra-participant"`
`public static final String`
`AFTER_LRA_PARTICIPANT_WORK`
`"work"`
org.eclipse.microprofile.lra.tck.participant.api.ContextTckResource
Modifier and Type
Constant Field
Value
`public static final String`
`ASYNC_LRA_PATH1`
`"async-response-lra"`
`public static final String`
`ASYNC_LRA_PATH2`
`"completion-stage-lra"`
`public static final String`
`ASYNC_LRA_PATH3`
`"completion-stage-exceptionally-lra"`
`public static final String`
`CLEAR_STATUS_PATH`
`"/clear-status"`
`public static final String`
`CONTEXT_CHECK_LRA_PATH`
`"/context-check-lra"`
`public static final String`
`LEAVE_PATH`
`"/leave"`
`public static final String`
`LRA_TCK_FAULT_CODE_HEADER`
`"Lra-Tck-Fault-Status"`
`public static final String`
`LRA_TCK_FAULT_TYPE_HEADER`
`"Lra-Tck-Fault-Type"`
`public static final String`
`LRA_TCK_HTTP_CONTEXT_HEADER`
`"Lra-Tck-Context"`
`public static final String`
`METRIC_PATH`
`"/count"`
`public static final String`
`NESTED_LRA_PATH`
`"/nested-lra"`
`public static final String`
`NESTED_LRA_PATH_WITH_CLOSE`
`"/nested-lra-with-close"`
`public static final String`
`NEW_LRA_PATH`
`"/new-lra"`
`public static final String`
`REQUIRED_LRA_PATH`
`"/required-lra"`
`public static final String`
`RESET_PATH`
`"/reset"`
`public static final String`
`STATUS_PATH`
`"/status"`
`public static final String`
`TCK_CONTEXT_RESOURCE_PATH`
`"context-tck-resource"`
org.eclipse.microprofile.lra.tck.participant.api.LraCancelOnResource
Modifier and Type
Constant Field
Value
`public static final String`
`CANCEL_FROM_REMOTE_CALL`
`"cancelFromRemoteCall"`
`public static final String`
`CANCEL_ON_301`
`"cancelOn301"`
`public static final String`
`CANCEL_ON_FAMILY_3XX`
`"cancelOnFamily3xx"`
`public static final String`
`CANCEL_ON_FAMILY_DEFAULT_4XX`
`"cancelOnFamilyDefault4xx"`
`public static final String`
`CANCEL_ON_FAMILY_DEFAULT_5XX`
`"cancelOnFamilyDefault5xx"`
`public static final String`
`LRA_CANCEL_ON_RESOURCE_PATH`
`"lraresource-cancelon"`
`public static final String`
`NOT_CANCEL_ON_FAMILY_5XX`
`"notCancelOnFamily5xx"`
org.eclipse.microprofile.lra.tck.participant.api.LraResource
Modifier and Type
Constant Field
Value
`public static final String`
`ACCEPT_WORK`
`"acceptWork"`
`public static final String`
`CANCEL_PATH`
`"/cancel"`
`public static final String`
`LRA_RESOURCE_PATH`
`"lraresource"`
`public static final String`
`TIME_LIMIT`
`"/timeLimit"`
`public static final String`
`TIME_LIMIT_HALF_SEC`
`"/timeLimit2"`
`public static final String`
`TRANSACTIONAL_WORK_PATH`
`"work"`
org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckInterface
Modifier and Type
Constant Field
Value
`public static final String`
`MANDATORY_PATH`
`"/mandatory"`
`public static final String`
`MANDATORY_WITH_END_FALSE_PATH`
`"/end-mandatory"`
`public static final String`
`NEVER_PATH`
`"/never"`
`public static final String`
`NEVER_WITH_END_FALSE_PATH`
`"/end-never"`
`public static final String`
`NOT_SUPPORTED_PATH`
`"/not-supported"`
`public static final String`
`NOT_SUPPORTED_WITH_END_FALSE_PATH`
`"/end-not-supported"`
`public static final String`
`REQUIRED_PATH`
`"/required"`
`public static final String`
`REQUIRED_WITH_END_FALSE_PATH`
`"/end-required"`
`public static final String`
`REQUIRES_NEW_PATH`
`"/requires-new"`
`public static final String`
`REQUIRES_NEW_WITH_END_FALSE_PATH`
`"/end-requires-new"`
`public static final String`
`SUPPORTS_PATH`
`"/supports"`
`public static final String`
`SUPPORTS_WITH_END_FALSE_PATH`
`"/end-supports"`
org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckInterfaceResource
Modifier and Type
Constant Field
Value
`public static final String`
`TCK_LRA_TYPE_INTERFACE_RESOURCE_PATH`
`"lra-type-tck-interface-resource"`
org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckResource
Modifier and Type
Constant Field
Value
`public static final String`
`MANDATORY_PATH`
`"/mandatory"`
`public static final String`
`MANDATORY_WITH_END_FALSE_PATH`
`"/end-mandatory"`
`public static final String`
`NEVER_PATH`
`"/never"`
`public static final String`
`NEVER_WITH_END_FALSE_PATH`
`"/end-never"`
`public static final String`
`NOT_SUPPORTED_PATH`
`"/not-supported"`
`public static final String`
`NOT_SUPPORTED_WITH_END_FALSE_PATH`
`"/end-not-supported"`
`public static final String`
`REQUIRED_PATH`
`"/required"`
`public static final String`
`REQUIRED_WITH_END_FALSE_PATH`
`"/end-required"`
`public static final String`
`REQUIRES_NEW_PATH`
`"/requires-new"`
`public static final String`
`REQUIRES_NEW_WITH_END_FALSE_PATH`
`"/end-requires-new"`
`public static final String`
`SUPPORTS_PATH`
`"/supports"`
`public static final String`
`SUPPORTS_WITH_END_FALSE_PATH`
`"/end-supports"`
`public static final String`
`TCK_LRA_TYPE_RESOURCE_PATH`
`"lra-type-tck-resource"`
org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckSuperclass
Modifier and Type
Constant Field
Value
`public static final String`
`MANDATORY_PATH`
`"/mandatory"`
`public static final String`
`MANDATORY_WITH_END_FALSE_PATH`
`"/end-mandatory"`
`public static final String`
`NEVER_PATH`
`"/never"`
`public static final String`
`NEVER_WITH_END_FALSE_PATH`
`"/end-never"`
`public static final String`
`NOT_SUPPORTED_PATH`
`"/not-supported"`
`public static final String`
`NOT_SUPPORTED_WITH_END_FALSE_PATH`
`"/end-not-supported"`
`public static final String`
`REQUIRED_PATH`
`"/required"`
`public static final String`
`REQUIRED_WITH_END_FALSE_PATH`
`"/end-required"`
`public static final String`
`REQUIRES_NEW_PATH`
`"/requires-new"`
`public static final String`
`REQUIRES_NEW_WITH_END_FALSE_PATH`
`"/end-requires-new"`
`public static final String`
`SUPPORTS_PATH`
`"/supports"`
`public static final String`
`SUPPORTS_WITH_END_FALSE_PATH`
`"/end-supports"`
org.eclipse.microprofile.lra.tck.participant.api.LRATypeTckSuperclassResource
Modifier and Type
Constant Field
Value
`public static final String`
`TCK_LRA_TYPE_SUPERCLASS_RESOURCE_PATH`
`"lra-type-tck-superclass-resource"`
org.eclipse.microprofile.lra.tck.participant.api.LRAUnknownResource
Modifier and Type
Constant Field
Value
`public static final String`
`LRA_CONTROLLER_PATH`
`"lraUnknownController"`
`public static final String`
`TRANSACTIONAL_WORK_PATH`
`"work"`
org.eclipse.microprofile.lra.tck.participant.api.LRAUnknownStatusResource
Modifier and Type
Constant Field
Value
`public static final String`
`LRA_CONTROLLER_PATH`
`"lraUnknownStatusController"`
`public static final String`
`TRANSACTIONAL_WORK_PATH`
`"work"`
org.eclipse.microprofile.lra.tck.participant.api.NoLRAResource
Modifier and Type
Constant Field
Value
`public static final String`
`NO_LRA_RESOURCE_PATH`
`"nolraresource"`
`public static final String`
`NON_TRANSACTIONAL_WORK_PATH`
`"work"`
org.eclipse.microprofile.lra.tck.participant.api.NonParticipatingTckResource
Modifier and Type
Constant Field
Value
`public static final String`
`END_PATH`
`"/end"`
`public static final String`
`NEVER_PATH`
`"/never"`
`public static final String`
`START_AND_END_NESTED_PATH`
`"/start-nested-and-end"`
`public static final String`
`START_AND_END_PATH`
`"/start-and-end"`
`public static final String`
`START_BUT_DONT_END_NESTED_PATH`
`"/start-nested-and-dont-end"`
`public static final String`
`START_BUT_DONT_END_PATH`
`"/start-dont-end"`
`public static final String`
`START_LRA_VIA_REMOTE_INVOCATION`
`"/start-via-remote-invocation"`
`public static final String`
`STATUS_CODE_QUERY_NAME`
`"Coerce-Status"`
`public static final String`
`SUPPORTS_PATH`
`"/supports"`
`public static final String`
`TCK_NON_PARTICIPANT_RESOURCE_PATH`
`"non-participating-tck-resource"`
org.eclipse.microprofile.lra.tck.participant.api.ParticipatingTckResource
Modifier and Type
Constant Field
Value
`public static final String`
`ACCEPT_PATH`
`"/accept"`
`public static final String`
`JOIN_WITH_EXISTING_LRA_PATH`
`"/join-with-existing-lra"`
`public static final String`
`JOIN_WITH_EXISTING_LRA_PATH2`
`"/join-with-existing-lra2"`
`public static final String`
`JOIN_WITH_NEW_LRA_PATH`
`"/join-with-new-LRA"`
`public static final String`
`LEAVE_PATH`
`"/leave"`
`public static final String`
`RECOVERY_PARAM`
`"recoveryCount"`
`public static final String`
`TCK_PARTICIPANT_RESOURCE_PATH`
`"participating-tck-resource"`
org.eclipse.microprofile.lra.tck.participant.api.RecoveryResource
Modifier and Type
Constant Field
Value
`public static final long`
`LRA_TIMEOUT`
`500L`
`public static final String`
`RECOVERY_RESOURCE_PATH`
`"recovery-resource"`
`public static final String`
`REQUIRED_PATH`
`"required"`
`public static final String`
`REQUIRED_TIMEOUT_PATH`
`"required-timeout"`

org.eclipse.microprofile.lra.tck.participant.invalid.LRAResourceWithoutCompensateOrAfteRLRA
Modifier and Type
Constant Field
Value
`public static final String`
`INVALID_LRA_RESOURCE_PATH`
`"/invalid-lra-resource-path"`

org.eclipse.microprofile.lra.tck.participant.nonjaxrs.InvalidAfterLRASignatureListener
Modifier and Type
Constant Field
Value
`public static final String`
`RESOURCE_PATH`
`"invalid-after-lra"`
`public static final String`
`START_LRA`
`"start-lra"`

org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid.LongBusinessMethodParticipant
Modifier and Type
Constant Field
Value
`public static final String`
`BUSINESS_METHOD`
`"business-method"`
`public static final String`
`ROOT_PATH`
`"long-business-participant"`
`public static final String`
`SYNC_METHOD`
`"sync-method"`
org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid.ValidLRACSParticipant
Modifier and Type
Constant Field
Value
`public static final String`
`ENLIST_WITH_COMPENSATE`
`"enlist-compensate"`
`public static final String`
`ENLIST_WITH_COMPLETE`
`"enlist-complete"`
`public static final String`
`ROOT_PATH`
`"valid-cs-participant1"`
org.eclipse.microprofile.lra.tck.participant.nonjaxrs.valid.ValidLRAParticipant
Modifier and Type
Constant Field
Value
`public static final String`
`ENLIST_WITH_COMPENSATE`
`"nonjaxrs-enlist-compensate"`
`public static final String`
`ENLIST_WITH_COMPLETE`
`"nonjaxrs-enlist-complete"`
`public static final String`
`RESOURCE_PATH`
`"valid-nonjaxrs"`

org.eclipse.microprofile.lra.tck.service.LRAMetricRest
Modifier and Type
Constant Field
Value
`public static final String`
`LRA_ID_PARAM`
`"lraId"`
`public static final String`
`LRA_TCK_METRIC_RESOURCE_PATH`
`"lra-tck-metric"`
`public static final String`
`METRIC_PATH`
`"metric"`
`public static final String`
`METRIC_TYPE_PARAM`
`"metricType"`
`public static final String`
`PARTICIPANT_NAME_PARAM`
`"participantName"`